var numberOfEntries=10; // // To plithos twn orwn
var entry = new makeArray(numberOfEntries-1);
var url = new makeArray(numberOfEntries-1);
var index = new makeArray(numberOfEntries-1);

var word = unescape(parent.location.search.substring(1));

function makeArray(n) {
	this.length=n;
	for (var i=1;i<=n;i++);
		this[i]=null;
		return this;
	}



//finds matching definition terms
function init() {
if (word=='X') {
parent.frames['items'].location='itemX.htm';

}
else {

	for (var j=0; j<=entry.length; j++) {
	if (word==index[j]) {
		document.glossary.terms.options[j].selected=true;
		parent.frames['items'].location=url[j];
		break; }			
		}
	}
}





function buildTermList() {
var termlist;
var i=-1;
i=i+1;index[i]="0"; entry[i]="Επιλέξτε ένα θέμα";url[i]="";
i=i+1;index[i]="1";entry[i]="Πως σχηματίζεται το έδαφος;" ;url[i]="../soil_formation.htm";
i=i+1;index[i]="2";entry[i]="Το pH του εδάφους" ;url[i]="../soil_pH.htm";
i=i+1;index[i]="3";entry[i]="Εδαφικοί ορίζοντες" ;url[i]="../soillayers.htm";
i=i+1;index[i]="4";entry[i]="Το πετρέλαιο αλλάζει τη ζωή στην Αμερικάνικη Δύση";url[i]="../looky.htm";
i=i+1;index[i]="5";entry[i]="Ο σχηματισμός των σταλακτιτών και των σταλαγμιτών";url[i]="../stlag.htm";
i=i+1;index[i]="6";entry[i]="Οι χρυσοθήρες";url[i]="../gold_diggers.htm";
i=i+1;index[i]="7";entry[i]="Τα βασικά στάδια της μεταλλουργίας" ;url[i]="../metallurgy.htm";
i=i+1;index[i]="8"; entry[i]="Η ονομασία του  βωξίτη ";url[i]="../bauxite_name.htm";
i=i+1;index[i]="9";entry[i]="Το Λαύριο";url[i]="../lavrio.htm";

	termlist = '<SELECT NAME=terms SIZE=1  onChange="showDef(selectedIndex)">';
	for (var i=0;i<=entry.length;i++) {
		termlist += '<OPTION VALUE="'+url[i]+'">'+entry[i]+ '</OPTION>';
		}
	termlist += "</SELECT>";
	return termlist;

	}

//displays definition on selection
function showDef(index) {
parent.frames['items'].location=url[index];
document.glossary.terms.options[0].selected=true;
	}
